Generates a new EP analysis result based on an existing EP analysis result (the reference analysis) and the specified event rate schemes or loss adjustment schemes.
This operation defines a post-analysis action that recalculates projected losses (statistics and EP metrics) in the reference analysis by substituting request parameter values (event rate schemes and loss rate schemes) for the values used to calculate the original, reference analysis.
The reference analysis may be an account-level or portfolio-level EP analysis result that was modeled using the ALM or DLM engine.
By default, losses are calculated at PORTFOLIO and TREATY output levels only. The optional outputLevels parameter enables the client to request that losses be calculated at the ACCOUNT, LOCATION, or POLICY output levels as well. Output level availability is constrained by the exposure level (portfolio or account) of the reference analysis.
Event rate conversions
Event rate conversions enable you to evaluate how changes to event rates (the annual probability of an event occurring) affect the projected losses in an analysis.
The eventRateSchemeIds parameter accepts a list of event rate schemes. An event rate scheme is a collection of hypothetical stochastic events that identifies a range of potential peril- and region-specific outcomes based on historical patterns. Within an event rate scheme, each event is defined by an event rate that defines the annual probability of that event occurring. To learn more, see Add Event Rate Schemes.
If the eventRateSchemeIds parameter is unspecified, the CONVERT_EVENT_RATE_LOSS job applies the specified event loss adjustments only.
Loss adjustments
Loss adjustments enable you to evaluate average losses and uncertainty (expressed as independent and correlated standard deviations) as a post-analysis action.
A loss adjustment scheme is a set adjustment factors that can be applied to a reference analysis in order to evaluate the sensitivity of the base model with the adjustments in comparison the base model's assumptions. These adjustment enable you to scale mean losses and uncertainty to align with your organization's view of view.
The eventLossAdjustmentSchemeIds parameter accepts a list of event loss adjustment schemes. An event loss adjustment scheme is a collection of hypothetical stochastic events that identifies a range of potential peril- and region-specific outcomes based on historical patterns. Within an event loss adjustment scheme, each event is defined by mean, correlated standard deviation (stdDevC), and independent standard deviation (stdDevI) values. To learn more, see Add New Loss Adjustment Schemes in Support Center.
If eventLossAdjustmentSchemeIds parameter is unspecified, the CONVERT_EVENT_RATE_LOSS job applies the specified event rate adjustments only.
Output levels
The output level identifies the resolution (granularity) of the calculated losses (EP metrics and statistics). By default, this operation returns losses at the PORTFOLIO and TREATY output levels. If specified outputLevels parameter identifies the output levels at which event rate conversions and loss adjustments are calculated: ACCOUNT, LOCATIONPOLICY, PORTFOLIO, TREATY. PORTFOLIO and TREATY output only.
The output levels available for recalculated losses depend on the output level of the reference analysis.
converted event rates
If the reference analysis is an account-level analysis, the updated result can return statistics and metrics based on the converted event rates at the following output levels:
Output Level
Statistics
EP Metrics
ACCOUNT
Y
Y
LOCATION
Y
POLICY
Y
Y
TREATY
Y
Y
If the reference analysis is an portfolio-level analysis, the updated result can return statistics and metrics based on the converted event rates at the following output levels:
Output Level
Statistics
EP Metrics
ACCOUNT
Y
LOCATION
Y
POLICY
Y
PORTFOLIO
Y
Y
TREATY
Y
Y
loss adjustments
If the reference analysis is an account-level analysis, the updated result can return statistics and metrics based on the loss adjustments at the following output levels:
Output Level
Statistics
EP Metrics
ACCOUNT
Y
LOCATION
Y
POLICY
Y
PORTFOLIO
Y
Y
TREATY
Y
Y
If the reference analysis is an portfolio-level analysis, the updated result can return statistics and metrics based on the loss adjustments at the following output levels:
Output Level
Statistics
EP Metrics
ACCOUNT
Y
Y
LOCATION
Y
POLICY
Y
Y
TREATY
Y
Y
If successful, returns a 202 Accepted HTTP response and adds a CONVERT_EVENT_LOSS_RATE workflow job to the workflow engine queue.
The response returns location of the job in the Location header. Use this URL to poll the status of the job. Once the job is complete, the job creates a new analysis result using new analysis ID and a name that appends the string _EVENT to the name of the original analysis result.
🍊
Postman Collection
Moody's Insurance Solutions makes sample code available in a Postman Collection that you can download from the RMS Developers public workspace.
The Convert Event Rates & Apply Loss Adjustments Postman collection demonstrates a workflow that converts event rates and losses based on an updated event rate scheme and event adjustment scheme.